if ($m_nRight <= 1) {
    my $trlogin  = translate('login');
    my $password = translate('password');
    my $name     = translate('name');
    my $right_username_text = translate('right_username_text');
    my $wrong_username_text = translate('wrong_username_text');
    my $right_passwort_text = translate('right_passwort_text');
    my $wrong_passwort_text = translate('wrong_passwort_text');
    
    $m_sContent .= qq(
<form name="login" id="loginForm" target="_parent" method="get" name="Login"  onsubmit="submitForm(this,'showDatabases','showDatabases');return false;">
<label for="user">$name</label>
<br/>
<input type="text" id="user" data-regexp=").'/^\w{4,100}$/'.qq(" data-error="$wrong_username_text" data-right="$right_username_text" name="user" value="" size="18" maxlength="25" style="width:80%" align="left">
<br/>
<label for="password">$password</label>
<br/>
<input type="hidden" name="action" value="login"/>
<input type="password" data-regexp="/.{6,20}/" data-error="$wrong_passwort_text"  data-right="$right_passwort_text" id="password" name="pass" value ="" style="width:80%" maxlength="50" alt="password" align="left"/>
<br/><br/>
<input type="submit"  name="submit" value="$trlogin" size="15" maxlength="15" alt="submit" align="left"/>
</form>
);
} else {
    my $lg = "javascript:requestURI('$ENV{SCRIPT_NAME}?action=logout','logout','logout')";
    my $welcome = translate('welcome');
    my $logout  = translate('logout');
    $m_sContent .= qq ($welcome, $m_sUser <br/><a  class="link" href="$lg">$logout</a><br/>);
}
$m_sContent .= br();